<?php

session_start();
$usuario=$_SESSION['rut'];

$norma_id = $_REQUEST['id'];
$norma_descripcion = $_REQUEST['norma_descripcion'];
$num_norma = $_REQUEST['num_norma'];
$anio_norma = $_REQUEST['anio_norma'];
$sincro = $_REQUEST['sincro'];

include '../../conexion/conn.php';

/*obtener exp, especie norma*/
	$rs2 = mysql_query("SELECT * FROM norma_plantilla WHERE norma_id='$norma_id'");				
	if($row2 = mysql_fetch_array($rs2)){
		$exportador_cod=$row2['exportador_cod'];
		$especie_cod=$row2['especie_cod'];
	}


$rs=mysql_query("SELECT COUNT(*) FROM norma_plantilla WHERE norma_descripcion = '$norma_descripcion'");
$row = mysql_fetch_row($rs);
if ($row[0]==0){
	$sql =  ("INSERT INTO norma_plantilla (norma_descripcion, exportador_cod, especie_cod, num_norma, anio_norma, tipo_norma, estado, sincro) values(UPPER('$norma_descripcion'), '$exportador_cod', '$especie_cod', '$num_norma', '$anio_norma', 'CALIDAD', 'ACTIVO', '$sincro')");
	$result = @mysql_query($sql);
	
	/*obtener ultimo id de la  norma*/
	$rs2 = mysql_query("SELECT MAX(norma_id) as ultima_norma_id FROM norma_plantilla ");				
	if($row2 = mysql_fetch_array($rs2)){
		$ultima_norma_id=$row2['ultima_norma_id'];
	}
	
	/*copiar parametros*/
	$rs2 = mysql_query("SELECT id_parametro, orden_parametro FROM norma_detalle_parametro WHERE norma_id='$norma_id' ");				
	while($row2 = mysql_fetch_array($rs2)){
		$sql2 =  ("INSERT INTO norma_detalle_parametro (id_parametro, norma_id, orden_parametro) values('".$row2['id_parametro']."', '".$ultima_norma_id."', '".$row2['orden_parametro']."')");
		$result2 = @mysql_query($sql2);
	}
	
	/*copiar defectos*/
	$rs2 = mysql_query("SELECT * FROM norma_detalle WHERE norma_id='$norma_id' ");				
	while($row2 = mysql_fetch_array($rs2)){
		$sql3 =  ("INSERT INTO norma_detalle (norma_id, id_parametro, defecto_id, norma_det_valor1, norma_det_valor2, norma_det_valor3, norma_det_valor4, norma_det_valor_tipo, tipo_dato, estado, norma_det_orden) values('$ultima_norma_id', '".$row2['id_parametro']."', '".$row2['defecto_id']."', '".$row2['norma_det_valor1']."', '".$row2['norma_det_valor2']."', '".$row2['norma_det_valor3']."', '".$row2['norma_det_valor4']."', '".$row2['norma_det_valor_tipo']."', '".$row2['tipo_dato']."', '".$row2['estado']."', '".$row2['norma_det_orden']."')");
		$result3 = @mysql_query($sql3);
	}
	
	
	
	mysql_close();
	if ($result3){
		echo "Datos Grabados";
	} else {
		echo "Se Han Producido Errores";
	}
}else{
	echo "Norma ya existe";
}
?>